TTLG|Thief|Bioshock|System Shock|Deus Ex|Mobile
Results 1 to 10 of 10

Thread: Sold Out patch

  1. #1
    Member
    Registered: Jul 2007

    Sold Out patch

    I just got myself a new computer, and one of the first things I did was install T2 on it. I have the Sold Out version of the game, which requires its own version of the 1.18 patch - the regular patch will mess up the installation, or so I've been told. However, Sold Out Software has apparently gone belly up - or at least their web site has - and I couldn't find any place to download the T2 patch. Fortunately, I eventually found a copy of the file among my old backup files and was able to get the game up and running, but if I hadn't kept a backup myself, I might have been screwed. So I'm wondering, is there any place I'm not aware of that still hosts the Sold Out patch(es), and if not, would it possible for one of the sites hosting various Thief-related resources (FM's, DromEd stuff or whatever) to also host the patch? It's only about 44 Mb, and it would be a shame for the entire edition to become practically obsolete just because the publisher no longer exists.

  2. #2
    Member
    Registered: Jul 2006
    Location: Troyes, France
    Sure. Please, share it

    Envoyé de mon SM-G7102 en utilisant Tapatalk
    Enhanced Thief Fan Missions Archive (ETFMA): [TTLG thread]
    DromEd Level Editor Developer Textures Kit (DLETDK): [TTLG thread]

  3. #3
    Southquarter.com/fms
    Registered: Apr 2000
    Location: The Akkala Highlands
    Wait, aren't you just patching the game with New Dark/Tafferpatcher anyway?

  4. #4
    Zombified
    Registered: Sep 2004
    I'm almost sure it's the same as the Premier patch, which is missing a bunch of files, and using it to patch T2 will result in a hybrid 1.07/1.18 install, so nobody should really be using it as far as I can tell. also, patching such an install with raw NewDark will not help, as the missing files are the vanilla scripts, resources and gamesys.

    and yeah, TafferPatcher should take care of things no matter the state of your install.

  5. #5
    Member
    Registered: Jul 2007
    Quote Originally Posted by voodoo47 View Post
    I'm almost sure it's the same as the Premier patch, which is missing a bunch of files, and using it to patch T2 will result in a hybrid 1.07/1.18 install, so nobody should really be using it as far as I can tell. also, patching such an install with raw NewDark will not help, as the missing files are the vanilla scripts, resources and gamesys.
    Well, the patch downloaded from the Sold Out web site is the one I have ALWAYS used to patch my copy of T2, and have NEVER had any problems with FM's, NewDark or anything, so if the Premier patch is known to cause such issues, I can pretty confidently say it's not the same.


    Quote Originally Posted by voodoo47 View Post
    and yeah, TafferPatcher should take care of things no matter the state of your install.
    To me, what is says in the first post in the Tafferpatcher thread

    Game Requirements
    For installation: Original English/German/French version (on original CDs or copied from CDs or already installed copy)
    For Patch 1.18: Original English/German/French version
    For other patches: Any installed full 1.18 version (with proper dark.gam and gen.osm files).
    sounds pretty confusing; it wasn't clear to me from the above that Tafferpatcher includes the official patch.

    In any case, I suppose that makes my point mostly moot. But there's still at least a theoretical possibility that someone might want to play a Sold Out edition of Thief 2 without NewDark or any of the other stuff that comes with Tafferpatcher, so I still think it might be a good idea to preserve this version of the patch, just in case.

  6. #6
    Zombified
    Registered: Sep 2004
    the outdated scripts and gamesys probably aren't enough to cause critical issues (pretty sure even the 1.07 version of the game is playable and completable), but still, it's very safe to say that you are better off being fully patched (and that no one should be going for the incomplete patch willingly).

    you can grab the missing files from the archive I've posted at the GOG forum if you want to check whether you have the 1.07 files after using the sold out patch - compare the filesize, the 1.18 files will be slightly larger.

    also, very sure TP will patch those files in if missing, so this is only a problem if you are patching a 1.07 version manually with anything else than the original 1.07->1.18 patch.

    GOG should be fine after deploying the linked update, but steam will probably stay unpatched, and yeah, they are also using the hybrid 1.07/1.18 version.
    Last edited by voodoo47; 20th Jan 2018 at 02:27.

  7. #7
    Member
    Registered: Apr 2013
    Are there any patches from Thief 2 1.18 to Thief 2 1.07? I patched to 1.18 and I want to have previous version 1.07.

  8. #8
    Zombified
    Registered: Sep 2004
    you have to reinstall the game from the 1.07 cd if you want the unpatched game.

  9. #9
    Member
    Registered: Oct 2013
    I had the Sold Out ver of T2 and just let Tafferpatcher install the game by pointing it to the CDs. I am assuming it knew what it was doing when it pattched to 1.18. I had forgotten about the different versions of that patch, until I read this thread.

    Well anyway, played the whole game without noticing any issues, so guess TP picked the right one. Either that, or it doesn't matter that much if the wrong patch is used

  10. #10
    Zombified
    Registered: Sep 2004
    as mentioned, the changes are not critical - well, at least those that I've seen when looking at the difs weren't (stuff like more diverse guard models, improved AI reactions, textures that tile better). the outdated scripts may cause more annoyances, but again, probably not something that would make a level uncompletable.

    but as I've already said, having a hybrid 1.07/1.18 install of T2 is not something you should be doing willingly, especially if you intend to use it for FMs (where having up to date scripts is often critical).

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •